
const BASE = 'https://oont.co/wp-json/wc/v3';
const AUTH = 'Basic ' + btoa('ck_d158d5a96f118e3a54b72b1817980e75e088c051:cs_724cd7ccfbde620a67b4ab8d2baf651257cfb312');

export async function getProductsByCategory(categoryId: number) {
	const res = await fetch(`${BASE}/products?category=${categoryId}`, {
		headers: { Authorization: AUTH },
	});

	if (!res.ok) {
		console.error("WooCommerce error:", await res.text());
		return [];
	}

	return await res.json();
}

export async function getProductBySlug(slug: string) {
	const url = `${BASE}/products?slug=${slug}`;
	const res = await fetch(url, { headers: { Authorization: AUTH } });
	const products = await res.json();
	return products?.[0]; // it's an array even though slug is unique
}

export async function getProductVariations(productId: any) {
	const res = await fetch(`${BASE}/products/${productId}/variations`, { headers: { Authorization: AUTH } });

	if (!res.ok) {
		console.error("Failed to fetch variations", await res.text());
		throw new Error("Could not fetch variations");
	}

	return await res.json();
}


